import { Type } from "../../models";
export declare function rejectVoidOpenApi2SchemaType(type: Type, errorMessage: string): OpenAPI2SchemaType;
export declare function openApi2TypeSchema(type: Type): OpenAPI2SchemaType | null;
export declare type OpenAPI2SchemaType = OpenAPI2SchemaTypeObject | OpenAPI2SchemaTypeArray | OpenAPI2SchemaTypeAllOf | OpenAPI2SchemaTypeNull | OpenAPI2SchemaTypeString | OpenAPI2SchemaTypeNumber | OpenAPI2SchemaTypeInteger | OpenAPI2SchemaTypeBoolean | OpenAPI2SchemaTypeReference;
export interface OpenAPI2BaseSchemaType {
    discriminator?: {
        propertyName: string;
        mapping: {
            [value: string]: OpenAPI2SchemaType;
        };
    };
}
export interface OpenAPI2SchemaTypeObject extends OpenAPI2BaseSchemaType {
    type: "object";
    properties: {
        [name: string]: OpenAPI2SchemaType;
    };
    required?: string[];
}
export interface OpenAPI2SchemaTypeArray extends OpenAPI2BaseSchemaType {
    type: "array";
    items: OpenAPI2SchemaType;
}
export interface OpenAPI2SchemaTypeAllOf extends OpenAPI2BaseSchemaType {
    allOf: OpenAPI2SchemaType[];
}
export interface OpenAPI2SchemaTypeNull extends OpenAPI2BaseSchemaType {
}
export interface OpenAPI2SchemaTypeString extends OpenAPI2BaseSchemaType {
    type: "string";
    enum?: string[];
}
export interface OpenAPI2SchemaTypeNumber extends OpenAPI2BaseSchemaType {
    type: "number";
    enum?: number[];
}
export interface OpenAPI2SchemaTypeInteger extends OpenAPI2BaseSchemaType {
    type: "integer";
    enum?: number[];
}
export interface OpenAPI2SchemaTypeBoolean extends OpenAPI2BaseSchemaType {
    type: "boolean";
    enum?: boolean[];
}
export interface OpenAPI2SchemaTypeReference extends OpenAPI2BaseSchemaType {
    $ref: string;
}
