import { Api } from "./models";
export declare function parsePath(sourcePath: string): Promise<Api>;
declare type Literal = ObjectLiteral | ArrayLiteral | StringLiteral | NumericLiteral | BooleanLiteral;
interface ObjectLiteral {
    kind: "object";
    properties: {
        [key: string]: Literal;
    };
}
export declare function isObjectLiteral(literal?: Literal): literal is ObjectLiteral;
interface ArrayLiteral {
    kind: "array";
    elements: Literal[];
}
export declare function isArrayLiteral(literal?: Literal): literal is ArrayLiteral;
interface StringLiteral {
    kind: "string";
    text: string;
}
export declare function isStringLiteral(literal?: Literal): literal is StringLiteral;
interface NumericLiteral {
    kind: "number";
    text: string;
}
export declare function isNumericLiteral(literal?: Literal): literal is NumericLiteral;
interface BooleanLiteral {
    kind: "boolean";
    value: boolean;
}
export declare function isBooleanLiteral(literal?: Literal): literal is BooleanLiteral;
export {};
